"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  createInvite: () => createInvite2
});
module.exports = __toCommonJS(meta_exports);

// src/identity-invites-v1-account-invite-account-invites.http.ts
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressInvitesApiAccountInvitesApiUrl(opts) {
  const domainToMappings = {
    "www._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/invites-web",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      },
      {
        srcPath: "/invites",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/invites/invites/site",
        destPath: "/invites/site"
      },
      {
        srcPath: "/invites/invites/account",
        destPath: "/invites/account"
      },
      {
        srcPath: "/invites",
        destPath: ""
      },
      {
        srcPath: "/invites/site-invite",
        destPath: "/site-invite"
      },
      {
        srcPath: "/invites/account-invite",
        destPath: "/account-invite"
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/invites/site",
        destPath: "/invites/site"
      },
      {
        srcPath: "/site-invite",
        destPath: "/site-invite"
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_user-management_account-invites";
function createInvite(payload) {
  function __createInvite({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.invites.v1.account_invite",
      method: "POST",
      methodFqn: "com.wixpress.invites.api.AccountInvitesApi.CreateInvite",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInvitesApiAccountInvitesApiUrl({
        protoPath: "/account-invite/create",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "successfulInvites.dateCreated" },
            { path: "successfulInvites.dateUpdated" },
            { path: "successfulInvites.expirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createInvite;
}

// src/identity-invites-v1-account-invite-account-invites.meta.ts
function createInvite2() {
  const payload = {};
  const getRequestOptions = createInvite(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/account-invite/create",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createInvite
});
//# sourceMappingURL=meta.js.map