"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.typings.ts
var index_typings_exports = {};
__export(index_typings_exports, {
  InviteStatus: () => InviteStatus,
  JoinedConditionOperator: () => JoinedConditionOperator,
  SimpleConditionOperator: () => SimpleConditionOperator,
  SubjectContextType: () => SubjectContextType,
  SubjectType: () => SubjectType,
  createInvite: () => createInvite2
});
module.exports = __toCommonJS(index_typings_exports);

// src/identity-invites-v1-account-invite-account-invites.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/identity-invites-v1-account-invite-account-invites.http.ts
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressInvitesApiAccountInvitesApiUrl(opts) {
  const domainToMappings = {
    "www._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/invites-web",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      },
      {
        srcPath: "/invites",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/invites/invites/site",
        destPath: "/invites/site"
      },
      {
        srcPath: "/invites/invites/account",
        destPath: "/invites/account"
      },
      {
        srcPath: "/invites",
        destPath: ""
      },
      {
        srcPath: "/invites/site-invite",
        destPath: "/site-invite"
      },
      {
        srcPath: "/invites/account-invite",
        destPath: "/account-invite"
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/invites/site",
        destPath: "/invites/site"
      },
      {
        srcPath: "/site-invite",
        destPath: "/site-invite"
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_user-management_account-invites";
function createInvite(payload) {
  function __createInvite({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.invites.v1.account_invite",
      method: "POST",
      methodFqn: "com.wixpress.invites.api.AccountInvitesApi.CreateInvite",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInvitesApiAccountInvitesApiUrl({
        protoPath: "/account-invite/create",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "successfulInvites.dateCreated" },
            { path: "successfulInvites.dateUpdated" },
            { path: "successfulInvites.expirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createInvite;
}

// src/identity-invites-v1-account-invite-account-invites.universal.ts
var InviteStatus = /* @__PURE__ */ ((InviteStatus2) => {
  InviteStatus2["Pending"] = "Pending";
  InviteStatus2["Used"] = "Used";
  InviteStatus2["Deleted"] = "Deleted";
  InviteStatus2["Declined"] = "Declined";
  InviteStatus2["Expired"] = "Expired";
  return InviteStatus2;
})(InviteStatus || {});
var SimpleConditionOperator = /* @__PURE__ */ ((SimpleConditionOperator2) => {
  SimpleConditionOperator2["UNKNOWN_SIMPLE_OP"] = "UNKNOWN_SIMPLE_OP";
  SimpleConditionOperator2["EQUAL"] = "EQUAL";
  return SimpleConditionOperator2;
})(SimpleConditionOperator || {});
var JoinedConditionOperator = /* @__PURE__ */ ((JoinedConditionOperator2) => {
  JoinedConditionOperator2["UNKNOWN_JOIN_OP"] = "UNKNOWN_JOIN_OP";
  JoinedConditionOperator2["OR"] = "OR";
  JoinedConditionOperator2["AND"] = "AND";
  return JoinedConditionOperator2;
})(JoinedConditionOperator || {});
var SubjectType = /* @__PURE__ */ ((SubjectType2) => {
  SubjectType2["UNKNOWN"] = "UNKNOWN";
  SubjectType2["ACCOUNT"] = "ACCOUNT";
  SubjectType2["USER"] = "USER";
  SubjectType2["USER_GROUP"] = "USER_GROUP";
  SubjectType2["MEMBER_GROUP"] = "MEMBER_GROUP";
  SubjectType2["VISITOR_GROUP"] = "VISITOR_GROUP";
  SubjectType2["EXTERNAL_APP"] = "EXTERNAL_APP";
  SubjectType2["ACCOUNT_GROUP"] = "ACCOUNT_GROUP";
  SubjectType2["WIX_APP"] = "WIX_APP";
  return SubjectType2;
})(SubjectType || {});
var SubjectContextType = /* @__PURE__ */ ((SubjectContextType2) => {
  SubjectContextType2["UNKNOWN_CTX"] = "UNKNOWN_CTX";
  SubjectContextType2["ORG_CTX"] = "ORG_CTX";
  SubjectContextType2["ACCOUNT_CTX"] = "ACCOUNT_CTX";
  return SubjectContextType2;
})(SubjectContextType || {});
async function createInvite2(subjectsAssignments, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    subjectsAssignments,
    defaultEmailLanguage: options?.defaultEmailLanguage
  });
  const reqOpts = createInvite(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          subjectsAssignments: "$[0]",
          defaultEmailLanguage: "$[1].defaultEmailLanguage"
        },
        singleArgumentUnchanged: false
      },
      ["subjectsAssignments", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  InviteStatus,
  JoinedConditionOperator,
  SimpleConditionOperator,
  SubjectContextType,
  SubjectType,
  createInvite
});
//# sourceMappingURL=index.typings.js.map